Bug 1238375 - Review Request: mingw-fcgi - MinGW Windows fcgi library
Summary: Review Request: mingw-fcgi - MinGW Windows fcgi library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-02 08:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-02 08:52:58 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:41 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-fcgi.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-fcgi-2.4.0-1.fc23.src.rpm
Description: MinGW Windows fcgi library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:42:31 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:43:44 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:44:36 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 4 Robert-André Mauchin 2017-08-31 19:38:08 UTC
Hello,


 - The fastcgi website seems closed, according to wikipedia, the following site is replacing it: https://fastcgi-archives.github.io/

 - The latest version seems to be 2.4.1 https://github.com/FastCGI-Archives/fcgi2/releases

URL:            https://fastcgi-archives.github.io/
Source0:        https://github.com/FastCGI-Archives/fcgi2/archive/%{version}/%{name}-%{version}.tar.gz

  And:

%prep
%setup -q -n %{pkgname}2-%{version}


 - The configure patch needs to be tweaked a bit:

diff -rupN fcgi-2.4.0/configure.in fcgi-2.4.0-new/configure.in
--- fcgi-2.4.0/configure.in	2003-01-19 18:19:41.000000000 +0100
+++ fcgi-2.4.0-new/configure.in	2015-06-24 14:43:58.618279032 +0200
@@ -4,8 +4,8 @@ dnl     This file is an input file used
 dnl     generate the file "configure", which is run during the build
 dnl     to configure the system for the local environment.
 
-AC_INIT
-AM_INIT_AUTOMAKE(fcgi, 2.4.1-SNAP-0910052249)
+AC_INIT(fcgi, 2.4.1)
+AM_INIT_AUTOMAKE(1.9 foreign)
 
 AM_CONFIG_HEADER(fcgi_config.h)


 - The configure script uses obsolete macros:

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: fcgi2-2.4.1/configure.in:15
  AM_CONFIG_HEADER found in: fcgi2-2.4.1/configure.in:10,
  fcgi2-2.4.1/perl/configure.in:9

  You should patch it to fix this:

diff -up fcgi2-2.4.1/configure.in.fix_obsolete_m4s fcgi2-2.4.1/configure.in
--- fcgi2-2.4.1/configure.in.fix_obsolete_m4s   2017-08-31 21:20:30.149464025 +0200
+++ fcgi2-2.4.1/configure.in    2017-08-31 21:20:46.563424585 +0200
@@ -7,12 +7,12 @@ dnl     to configure the system for the
 AC_INIT(fcgi, 2.4.1)
 AM_INIT_AUTOMAKE(1.9 foreign)
 
-AM_CONFIG_HEADER(fcgi_config.h)
+AC_CONFIG_HEADERS(fcgi_config.h)
 
 AC_PROG_CC
 AC_PROG_CPP 
 AC_PROG_INSTALL 
-AC_PROG_LIBTOOL
+LT_INIT
 
 AC_PROG_CXX

diff -up fcgi2-2.4.1/perl/configure.in.fix_obsolete_m4s fcgi2-2.4.1/perl/configure.in
--- fcgi2-2.4.1/perl/configure.in.fix_obsolete_m4s	2017-03-28 02:44:54.000000000 +0200
+++ fcgi2-2.4.1/perl/configure.in	2017-08-31 21:27:59.870387055 +0200
@@ -6,7 +6,7 @@ dnl     to configure the system for the
 
 AC_INIT
 
-AM_CONFIG_HEADER([fcgi_config.h])
+AC_CONFIG_HEADERS([fcgi_config.h])
 
 AC_PROG_CC
 AC_PROG_CPP

Comment 6 Robert-André Mauchin 2017-09-01 08:10:35 UTC
All good for me, package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "NTP", "Unknown or generated", "BSD (4
     clause)". 114 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mingw-fcgi/review-mingw-
     fcgi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-fcgi , mingw64-fcgi
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-fcgi-2.4.1-1.fc28.noarch.rpm
          mingw64-fcgi-2.4.1-1.fc28.noarch.rpm
          mingw-fcgi-2.4.1-1.fc28.src.rpm
mingw32-fcgi.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw32-fcgi.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw32-fcgi.noarch: W: no-documentation
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fastcgi.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgi_config.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgi_stdio.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgiapp.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgimisc.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgio.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/fcgios.h
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw32-fcgi.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw32-fcgi.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw32-fcgi.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw32-fcgi.noarch: E: script-without-shebang /usr/share/licenses/mingw32-fcgi/LICENSE.TERMS
mingw32-fcgi.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-fcgi.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw64-fcgi.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw64-fcgi.noarch: W: no-documentation
mingw64-fcgi.noarch: E: script-without-shebang /usr/share/licenses/mingw64-fcgi/LICENSE.TERMS
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fastcgi.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgi_config.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgi_stdio.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgiapp.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgimisc.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgio.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/fcgios.h
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw64-fcgi.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi++.dll.a
mingw64-fcgi.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw64-fcgi.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfcgi.dll.a
mingw64-fcgi.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-fcgi.src: W: strange-permission fcgi-autogen.sh 755
3 packages and 0 specfiles checked; 6 errors, 27 warnings.

Comment 7 Sandro Mani 2017-09-01 11:34:23 UTC
Thank you!

Comment 8 Gwyn Ciesla 2017-09-01 11:49:38 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-fcgi


Note You need to log in before you can comment on or make changes to this bug.